Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# Metafunction Struct Template Reference
[Basic Concepts]

`#include <gil_concept.hpp>`

List of all members.

## Detailed Description

### template<typename T>
struct boost::gil::Metafunction< T >

    auto concept Metafunction<typename T> {
        typename type;
    };

## Public Member Functions

void | constraints ()

The documentation for this struct was generated from the following file:

- gil_concept.hpp